package com.zayhu;

import android.content.Intent;

interface IZayhuSessionMonitor {
    // generic event handling
    void handleIntent(in Intent intent);

    // session state changed: send raw intent first, then call this
    void onSessionChanged(String peerHid, String sessionId, int appId, int newState, int oldState, int reason);

    // send every second, always send
    void onSessionStatus(String peerHid, String sessionId, int appId, long duration, long wifiTrafficBytes, long mobileTrafficBytes, int networkType, float quality);

    // send every 0.3~0.5 sec, not send on low end devices, just update the halu of contactView
    void onSessionProgress(String peerHid, String sessionId, long duration, in double[] frequency);

    // audio volume changed
    void onAudioVolumeChanged(String json);
}